#############################################################
#
# dhcpcd
#
#############################################################
DHCPCD_VERSION:=5.2.8
DHCPCD_SOURCE:=dhcpcd-$(DHCPCD_VERSION).tar.bz2
DHCPCD_SITE:=http://roy.marples.name/downloads/dhcpcd/

# The Makefile doesn't have an install-strip rule.
DHCPCD_INSTALL_TARGET_OPT ?= DESTDIR=$(TARGET_DIR) install

DHCPCD_INSTALL_STAGING = YES
DHCPCD_INSTALL_TARGET = YES
DHCPCD_DEPENDENCIES = uclibc host-pkgconfig

DHCPCD_CONF_OPT = --with-hooks=

$(eval $(call AUTOTARGETS,local,dhcpcd))

$(DHCPCD_HOOK_POST_INSTALL): $(DHCPCD_TARGET_INSTALL_TARGET)
	rm -rf $(TARGET_DIR)/usr/libexec/dhcpcd-hooks/{01-test,02-dump,10-mtu,29-lookup-hostname,30-hostname}
	touch $@
